#!/bin/sh
#
# Licensed Material of Hitachi, Ltd.
# Reproduction, use, modification or disclosure otherwise than
# permitted in the License Agreement is strictly prohibited.
#
# All Rights Reserved. Copyright (C) 2012.2014, Hitachi, Ltd.
#

PRODUCT="hsnvcm"
VERSION="0760-00"

#

CHKX64CODE="x86_64"
CHKX86CODE="i386"
RPMSDIR="rpms"
PACKAGE64NAME="${PRODUCT}-${VERSION}.${CHKX64CODE}.rpm"
PACKAGE32NAME="${PRODUCT}-${VERSION}.${CHKX86CODE}.rpm"
rpm -q "${PRODUCT}-0740-00" --quiet
CURPACKVER=$?

SETUPSHPATH=$(cd $(dirname $0); pwd)

PACKAGENAME=""
CURRENTCODE=`uname -i`

if [ "${CHKX64CODE}" = "${CURRENTCODE}" ]
then
    PACKAGENAME=${PACKAGE64NAME}
else
    PACKAGENAME=${PACKAGE32NAME}
fi

rpm $@ "${SETUPSHPATH}/${RPMSDIR}/${PACKAGENAME}"

if [ ${CURPACKVER} -eq 0 ]
then
    mv -f /opt/hitachi/snv-cm-temporary/ /opt/hitachi/snv-cm/ > /dev/null 2>&1
fi
